<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('project_cate', function (Blueprint $table) {
            $table->comment('项目分类');
            $table->increments('id');
            $table->string('name')->default('')->comment('项目分类名称');
            $table->string('cover')->nullable()->comment('分类封面');
            $table->integer('sort')->nullable()->comment('排序');
            $table->string('state')->default('ENABLE')->comment('状态');
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('project_cate');
    }
};
